%define version 0.95
%define name kooBase
Name: %{name}
Summary: MIDI/Harddisc - Recording Developement Kit
Version: %{version}
Release: 1 
Source: http://voltaire.desy.de/%{name}-%{version}.tar.gz
Group: X11/KDE/Multimedia
BuildRoot: /tmp/realhot_%{name}
Copyright: GPL
Requires: qt
Packager: Jan Wrthner <wuerthne@x4u2.desy.de>

%description
MIDI sequencer with extensive editing facilities

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
export KDEDIR=/opt/kde
./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT
make 

%install
make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}
