#ifndef _KBNOTE_C_
#define _KBNOTE_C_

#include "kbNote.h"

KbNote::KbNote( )
  : next(0) { }

KbNote::KbNote(int f, int v, int l, int p, int e) : freq(f), vel(v), len(l), pos(p), next(0), enh(e) { }


KbNote * KbNote::gNext() {
  return next;
}

void KbNote::sNext(KbNote * n) {
  next = n;
}


int KbNote::gFreq() {
  return freq;
}

int KbNote::gVel() {
  return vel;
}

int KbNote::gLen() {
  return len;
}

int KbNote::gPos() {
  return pos;
}

int KbNote::gEnh() {
  return enh;
}



void KbNote::sFreq(int f) {
  freq=f;
}

void KbNote::sVel(int v) {
  vel=v;
}

void KbNote::sLen(int l) {
  len=l;
}

void KbNote::sPos(int p) {
  pos=p;
}

void KbNote::sEnh(int e) {
  enh=e;
}

#endif
