#ifndef _TXFACTORY_H_
#define _TXFACTORY_H_

#include "ifFactory.h"

class KbMain;
class KbTrack;

class TxFactory : public IfFactory
{
 public:
  TxFactory();
  virtual IfMain *   createMain(KbMain*,int,char**);
  virtual IfTrack *  createTrack(KbTrack*);
  virtual IfPart *   createPart();
  virtual IfPrefs *  createPrefs();
  virtual IfEditor * createScoreEditor();
  virtual IfEditor * createPianoEditor();
  virtual IfEditor * createDrumEditor();
};

#endif
