#ifndef _IFMAIN_H_
#define _IFMAIN_H_

/**
 * This abstract class serves as an interface for the presentation of the main kooBase object.
 * @short Main Interface
 * @author Jan Wuerthner
 * @version 0.95
 * @see KbMain
 * @see QtMain
 */
class IfMain
{
 public:
  /**
   * Constructor of the main interface
   */
  IfMain();

  /**
   * starts the GUI
   */
  virtual void exec();

  /**
   * updates the GUI
   */
  virtual void update();

  virtual void playInit();

  // virtual void playListen();

  virtual void playExit();

};

#endif
