

void KbMain::getMidi(ifstream * inPtr) {
  //cout << "loading MIDI..." << endl;

  ifstream &in = *inPtr;


  KbTrack * kbtrack;

  unsigned char* xy= new unsigned char[2000];
  unsigned char ch;
  int i;
  int lo;
  int hi;

  long xxxxxx=6;

  int numTr;
  int delta;

  int noteOn=-1;
  int channel=0;

  int prgs[64];
  for (int uu=0; uu<64; uu++) prgs[uu]=0;

#define MAXSUS 512
  KbNote* sus[MAXSUS];
  KbNote* newNote;
  int susp=0;

  unsigned char* tr[64];
  int tracklength[64];

  in.get(ch); xy[0]=ch; in.get(ch); xy[1]=ch; in.get(ch); xy[2]=ch; in.get(ch); xy[3]=ch; xy[4]=0;
  if (!strcmp(xy,"MThd"))
    {
      in.get(ch); in.get(ch); in.get(ch); in.get(ch);
      i=int(ch);
      if (i!=6)
	{
	  cout << "strange header length" << endl;
	} else {
	  in.get(ch); in.get(ch); i=int(ch);
	  // cout << "Fileformat: " << i << endl;
	  in.get(ch); xy[0]=ch; in.get(ch); xy[1]=ch; in.get(ch); xy[2]=ch; in.get(ch); xy[3]=ch; xy[4]=0;
	  xxxxxx=0;
	  numTr=int(xy[1])+256*int(xy[0]);
	  delta=int(xy[3])+256*int(xy[2]);
	  // cout << "Reading now " << numTr << " tracks..., dtime: " << delta << endl;
	  // DOIT: progressbar->setTotalSteps(numTr);
	  for (int trackn=0; trackn<numTr; trackn++)
	    {
	      // progressbar->setProgress(trackn+1);
	      // cout << trackn ;
	      in.get(ch); xy[0]=ch; in.get(ch); xy[1]=ch; in.get(ch); xy[2]=ch; in.get(ch); xy[3]=ch; xy[4]=0;
	      if (strcmp(xy,"MTrk")) { cout << "not a MIDI track" << endl; numTr=0; }
	      in.get(ch); xy[0]=ch; in.get(ch); xy[1]=ch; in.get(ch); xy[2]=ch; in.get(ch); xy[3]=ch; xy[4]=0;
	      tracklength[trackn]=int(xy[3])+256*int(xy[2])+65536*int(xy[1])+16777216*int(xy[0]);
	      //cout << "tracklength: " << tracklength[trackn] << endl;
	      tr[trackn] = new unsigned char[tracklength[trackn]+2000];
	      for (int qq=0; qq<tracklength[trackn]; qq++) { in.get(ch); tr[trackn][qq]=ch; }
	      //for (int qq=0; qq<tracklength[trackn]; qq++) cout << int(tr[trackn][qq]) << ", ";
	    }
	  for (int trackn=0; trackn<numTr; trackn++)
	    {
	      // cout << "\n\ntl[tn](numTr):" << tracklength[trackn] << "(" << numTr << ")" << endl;
	      // Track* track=0;
	      KbPart * part = 0;
	      int run;
	      run=1;
	      int t=0;
	      int cmd;
	      int len;
	      int tempo;
	      int time1;
	      int time2;
	      int keysf;
	      int keymi;
	      // int run=1;
	      int d;
	      int dd;
	      int ddd;
	      int getnote;
	      int note;
	      int vel;
	      int ctrl;
	      int val;
	      int prg;
	      int chn;
	      int btm;
	      int top;
	      char* name;
	      name=new char[150];
	      name[0]='-';
	      name[1]=0;
	      int totalTime=0;
	      susp = 0;
	      while (run)
		{
		  //		  cout << "!!!!!!!! " << int(int(tr[t])&127) << endl;
		  dd=0; while ((d=int(tr[trackn][t++]))>128) { dd*=128; dd+=int(d)&127; }
		  dd*=128; dd+=int(d)&127;
		  //cout << "tt:" << totalTime << ", dt:" << dd << endl;
		  totalTime+=dd;
		  i=int(tr[trackn][t++]);
		  lo=i&15;
		  hi=(i&240)/16;
		  getnote=0;
		  if (i==255) {
		    cmd=int(tr[trackn][t++]);
		    len=int(tr[trackn][t++]);
		    if (cmd==0x51) {
		      tempo=int(tr[trackn][t])+256*int(tr[trackn][t+1])+65536*int(tr[trackn][t+2]);
#ifdef DEBUGIT
		      cout << "tempo: " << tempo << ":" << int(tr[trackn][t]) << ", " << int(tr[trackn][t+1]) << ", " << int(tr[trackn][t+2]) << endl;
#endif
		    } else if (cmd==0x58) {
		      time1=int(tr[trackn][t]); time2=int(tr[trackn][t+1]);
#ifdef DEBUGIT
		      cout << "time1: " << time1 << ", time2: " << time2 << endl;
#endif
		    } else if (cmd==0x59) {
		      keysf=int(tr[trackn][t]); keymi=int(tr[trackn][t+1]);
#ifdef DEBUGIT
		      cout << "key: " << keysf << ", minor=" << keymi << endl;
#endif
		    } else if (cmd==0x03) { strncpy(name,&tr[trackn][t],len)  ; name[len]=0; cout << "Name: \"" << name << "\"" << endl;
		    } else if (cmd==0x2f) { run=0;
		    } else { 
#ifdef DEBUGIT
		      cout << "cmd:" << cmd << endl; 
#endif
		    }
		    t+=len;
		  } else if (hi==9) {
		    //   cout << "note on, channel " << lo << endl;
		    noteOn=1;
		    channel=lo;
		    i=int(tr[trackn][t++]);
		    getnote=1;
		  } else if (hi==8) {
		    // cout << "note off, channel" << lo << endl;
		    noteOn=0;
		    channel=lo;
		    i=int(tr[trackn][t++]);
		    getnote=1;
		  } else if (hi==10) {
		    // After Touch
#ifdef DEBUGIT
		    cout << "PANIC10" << endl;
#endif
		    note=int(tr[trackn][t++]);
		    vel=int(tr[trackn][t++]);
		    noteOn=3;
		  } else if (hi==11) {
		    // Control Change
#ifdef DEBUGIT
		    cout << "PANIC11" << endl;
#endif
		    ctrl=int(tr[trackn][t++]);
		    val=int(tr[trackn][t++]);
		    noteOn=4;
		  } else if (hi==12) {
		    // Program Change
#ifdef DEBUGIT
		    cout << "PANIC12" << endl;
#endif
		    prg=int(tr[trackn][t++]);
		    prgs[lo]=prg;
		    noteOn=5;
		    //part->program = prg; // DOIT: if prg-change, create new Part!
		    //part->trAdr->program = prg;
		    //cout << "prg: " << prg << endl;
		  } else if (hi==13) {
		    // Channel AFter Touch
#ifdef DEBUGIT
		    cout << "PANIC13" << endl;
#endif
		    chn=int(tr[trackn][t++]);
		    noteOn=6;
		  } else if (hi==14) {
		    // Pitch Wheel Change
#ifdef DEBUGIT
		    cout << "PANIC14" << endl;
#endif
		    btm=int(tr[trackn][t++]);
		    top=int(tr[trackn][t++]);
		    noteOn=7;
		  } else if (hi==15) {
#ifdef DEBUGIT
		    cout << "PANIC: hi==15" << endl;
#endif
		    noteOn=8;
		  } else { 
		    getnote=1;
		  }
		  if (getnote) {
		    note=i; vel=int(tr[trackn][t++]);
		    if ((vel==0)&&(noteOn==1)) noteOn=0;
		    if (noteOn == 1) {
		      if (!part) {
			kbtrack = addTrack();
			part = kbtrack->addPart(0,4);
			part->sProgram(prg);
			kbtrack->sProgram(prg);
			kbtrack->sName(name);
		      }
			newNote = new KbNote(note,vel,191,totalTime,0);
			part->addNote(newNote);
			if (susp<MAXSUS) sus[susp++]=newNote;
		      } else if (noteOn == 0) {
			int ii=0;
			for (int i=0; i<susp; i++)
			  if ((note==sus[i]->gFreq()))
			    {
			      sus[i]->sLen(totalTime-sus[i]->gPos());
			      ii=i;
			      i=susp;
			    }
			for (int i=ii; i<susp-1; i++) sus[i]=sus[i+1];
			if (susp>0) susp--;
		      }
		    if ((vel==0)&&(noteOn==0)) noteOn=1;
		  }
		  if (t>tracklength[trackn]) {run=0;cout << "PANIC length-error, t:" << t << ", tl[tn]:" << tracklength[trackn] << endl;}
		}	  
	    } 
	}
    } else { cout << "not a MIDI file" << endl; }
  // progressbar->hide();
  adjustRightBorder();
  gInterface()->update();
}


void KbMain::saveMidi(ofstream * outPtr) {
  //cout << "writing MIDI..." << endl;

  ofstream &to = *outPtr;

  KbNote* c;
  KbTrack * trc;
  numScr=0; for (trc=gTrack();trc!=0;trc=trc->gNext()) { numScr++; }
  trc = gTrack();
  KbPart* p[32];
  for (int i=0; i<numScr; i++) {
    p[i]=trc->gPart();
    trc = trc->gNext();
  }
  //  for (int i=0; i<numScr; i++) {
  //  t[i]=(Track*) atoi(argv[5+i*2]);
  //  }

  tempo = 384;

  long length;
  long trLength;
  int a1;
  int a2;
  int a3;
  int a4;
  int nums=0;
  KbNote* sus[64];
  for (int k=0; k<64; k++) { sus[k]=0; }
  int susp;
  int stop;
  int kk;
  int pp;
  int pp1;
  int noteOn;
  int noteOff;
  int prgch;
  int dtime;
  int dtime1[8];
  unsigned char* tr = new unsigned char[500000];
  int dtimeInt=0;

  //ofstream to(fname);
  to << "MThd";
  to.put(0);to.put(0);to.put(0);to.put(6);
  to.put(0);to.put(1);
  for (int i=0; i<numScr; i++) if (p[i]!=0) nums++;
  to.put(0);to.put(nums);
  to.put(int(tempo/256)); to.put(tempo&255);
  //progressbar->setTotalSteps(numScr);
  for (int i=0; i<numScr; i++)
    if (p[i]!=0) {
      //progressbar->setProgress(i+1);
      to << "MTrk";
      
      // ----------------------------------------
      
    pp=0;
    pp1=0;
    susp=0;
    stop=0;
    noteOn=0x90+i;
    noteOff=0x80+i;
    prgch=0xc0+i;
    p[i]->sCur(p[i]->gFirst());
    dtime=0;
    for (int uu=0; uu<8; uu++) dtime1[uu]=0;
    length=0;

    while (stop<2)
      {
	kk=0;
	while (sus[kk]!=0)
	  {
	    if (sus[kk]->gPos()+sus[kk]->gLen()<=pp)
	      {
		// SEQ_STOP_NOTE(awe_dev, ch, sus[kk]->gFreq(), sus[kk]->gVel());
		dtimeInt=0; while (dtime>=0x80) {dtime1[dtimeInt++]=dtime&0x7F; dtime=int(dtime/128);}
		dtime1[dtimeInt++]=dtime; for (int uu=1; uu<dtimeInt; uu++) tr[length++]=dtime1[dtimeInt-uu]+128;
		tr[length++]=dtime1[0];
		tr[length++]=noteOff; tr[length++]=sus[kk]->gFreq(); tr[length++]=sus[kk]->gVel();
		dtime=0;
		for (int k=kk; k<susp+1; k++) sus[k]=sus[k+1];
		susp--;
	      } 
	    kk++;
	  }
	if (stop<2) 
	  if (p[i]->gCur() !=0)
	    {
	      while ((p[i]->gCur()->gPos() == pp) && (stop<2))
		{
		  //  SEQ_START_NOTE(awe_dev, ch, t->cur->gFreq(), t->cur->gVel());
		  // to.put(dtime); to.put(noteOn); to.put(p[i]->cur->gFreq()); to.put(p[i]->cur->gVel());
		  dtimeInt=0; while (dtime>=0x80) {dtime1[dtimeInt++]=dtime&0x7F; dtime=int(dtime/128);}
		  dtime1[dtimeInt++]=dtime; for (int uu=1; uu<dtimeInt; uu++) tr[length++]=dtime1[dtimeInt-uu]+128;
		  tr[length++]=dtime1[0];
		  tr[length++]=noteOn; tr[length++]=p[i]->gCur()->gFreq(); tr[length++]=p[i]->gCur()->gVel();		  
		  dtime=0;
		  sus[susp++] = p[i]->gCur();
		  if (p[i]->gCur()->gNext()==0) { stop=2; } else { p[i]->sCur(p[i]->gCur()->gNext()); }
		  //      pos[susp++]=t->gCur()->gPos()+p;
		}
	    } else { cout << "PANIC" << endl; stop = 2; }
	if (stop==2) { pp1=pp; pp=-1; }
	pp++;
	dtime++;
	if (pp > rightPosition) { stop = 2; } // DOIT: right limit!
      }
    
    pp=pp1;
    while (susp>0)
      {
	kk=0;
	while (sus[kk]!=0)
	  {
	    if (sus[kk]->gPos()+sus[kk]->gLen()<=pp)
	      {
		//SEQ_STOP_NOTE(awe_dev, ch, sus[kk]->gFreq(), sus[kk]->gVel());
		//to.put(dtime); to.put(noteOff); to.put(sus[kk]->gFreq()); to.put(sus[kk]->gVel());
		dtimeInt=0; while (dtime>=0x80) {dtime1[dtimeInt++]=dtime&0x7F; dtime=int(dtime/128);} 
		dtime1[dtimeInt++]=dtime; for (int uu=1; uu<dtimeInt; uu++) tr[length++]=dtime1[dtimeInt-uu]+128;
		tr[length++]=dtime1[0];
		tr[length++]=noteOff; tr[length++]=sus[kk]->gFreq(); tr[length++]=sus[kk]->gVel();
		dtime=0;
		for (int k=kk; k<susp+1; k++) sus[k]=sus[k+1];
		susp--;
	      } 
	    kk++;
	  }
	pp++; 
	dtime++;
      }
    
    
    // ----------------------------------------
    //    length=0x0000FFFF;

    trLength=7+8+3+length+4;
    a1=trLength&0x000000FF;
    a2=(trLength&0x0000FF00)/256;
    a3=(trLength&0x00FF0000)/65536;
    a4=(trLength&0xFF000000)/16777216;
    to.put(a4);to.put(a3);to.put(a2);to.put(a1);

    to.put(0); to.put(0xff); to.put(0x58); to.put(0x04); to.put(0x04); to.put(0x02); to.put(0x24); to.put(0x08);//4/4
    to.put(0); to.put(0xff); to.put(0x51); to.put(0x03); to.put(0x07); to.put(0xa1); to.put(0x20); //tempo
    to.put(0); to.put(prgch); to.put(p[i]->gProgram());//prg

    for (int uu=0; uu<length; uu++) to.put(tr[uu]);

    to.put(0); to.put(255); to.put(47); to.put(0);
  }
  to.close();
  delete tr;
  //progressbar->hide();

}
