#ifndef _SOUND_H_
#define _SOUND_H_


#include <stdio.h>
#include <stdarg.h>
#include <ctype.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <linux/soundcard.h>

#define DSP_NAME "/dev/dsp"
#define CLAPBUF 16


#include "player/deviceman.h"
#include "player/midimapper.h"
#include "player/midiout.h"
#include "player/fmout.h"

void soundHit(int out, int ch, int freq, int vol);

/**
 * This checks out the devn'th system sound device. It should be called only once (for each devn)!
 * @param devn an integer describing the device number.
 * @return the name describing the respective device.
 * @see #gDevice
 */
//char * findDevices(int devn);



#endif
